//      _________________________________________
//_____/                                         \ 
//____/   coeur.js - paramétrages spécifiques     \ 
//    \___________________________________________/  
//
//

//Paramétrages de l'application
Affiche_titre_navigateur("Calendrier de l'avent de problèmes mathématiques");

//Affiche le bandeau de titre
//Affiche_bandeau(abt)

//Variables pour les dimensions
var largConteneur=900;
//var hautConteneur=400;
var hautConteneur=273;
var wtot=document.body.offsetWidth;
var margeg=parseInt((wtot - largConteneur) / 2);
var deplacement=true;
var hasard = 0;

//Variables pour les options
var change_option=false;

//Recherche du niveau
var niveau = "cycle 1";
var niveauz=Recupere_GET("niveau"); if(niveauz !== "")niveau=niveauz;
var niveaux=new Array("Cycle 1","Cycle 2","Cycle 3");

//var a = niveaux.indexOf(niveau);

//Centrer les div
Centre_element("bandeau");
Centre_element("parametres");
Centre_element("fond_conteneur");
Centre_element("conteneur");
Centre_element("options");
Centre_element("page");
Centre_element("consigne");
Centre_element("pied");

var popos1=document.getElementById("pied");
var popos2=document.getElementById("consigne");
var conteneur=document.getElementById("conteneur");

zoneXmin=conteneur.offsetLeft;
zoneXmax=(conteneur.offsetLeft + conteneur.offsetWidth);
zoneYmin=conteneur.offsetTop;
zoneYmax=(conteneur.offsetTop + conteneur.offsetHeight);

//          1     2      3       4       5       6       7       8      9       10      11      12      13      14      15      16      17      18      19      20      21      22      23      24
var coo=Array(1,451,98,455,205,427,311,451,417,420,526,453,627,454,52,323,132,315,222,294,303,318,394,300,470,318,563,321,139,208,218,201,314,206,406,202,486,208,202,109,276,108,349,101,419,112,312,2);
coo=Array(1,451,               311,451,                627,454,52,294,                303,318,                563,321,139,208,        314,206,        486,208,202,109,                419,112,312,2);

var cycle=1;
var niveau=1;
var tout=false;
if(Get("montrer")=="tout")tout=true;
var gris="#AAAAAA";
var bleu="#3D4AB7";
var date=new Date();
moisdate=(date.getMonth() + 1); if(moisdate<10)moisdate="0" + moisdate;
nbdate=date.getDate(); if(nbdate<10)nbdate="0" + nbdate;
jourdate=moisdate+"/"+nbdate;
jourdebut="12/01";
if(Get("date")!=null)
{
	jourdate0=parseInt("0"+Get("date"));
	if(jourdate0<1)jourdate0=0;
	if(jourdate0>31)jourdate0=0;
	if(jourdate0!=0)jourdate="12/"+jourdate0;
}

var zones = document.querySelector("#conteneur");
var activeItem = null;

var active = false;

zones.addEventListener("touchstart", dragStart, false);
zones.addEventListener("touchend", dragEnd, false);
zones.addEventListener("touchmove", drag, false);

zones.addEventListener("mousedown", dragStart, false);
zones.addEventListener("mouseup", dragEnd, false);
zones.addEventListener("mousemove", drag, false);


var jours_de_classe=new Array(1,2,5,6,7,8,9,12,13,14,15,16);
Place_element("sapin","sapin",0,0);
//for(i=1;i<13;i++)
for(i=1;i<12;i++)
{
	u=jours_de_classe[i-1];if(u<10)u="0"+u;
	u="12/"+u;
	var clr=Math.floor(Math.random() * 777215)+15000000;
	clr=clr.toString(16);
	var bou = document.createElement("div");
	bou.setAttribute("style","background-color:#"+clr+";width:50px;height:50px;position:absolute;left:"+(coo[(i-1)*2]+10)+"px;top:"+coo[(i-1)*2+1]+"px;border-radius:25px;font-size:30px;line-height:50px;font-weight:bold;text-align:center;box-shadow: 2px 2px 0px #aaa;text-shadow: #FFFFFF 1px 1px 1px;");
	bou.innerHTML=jours_de_classe[i-1];
	bou.setAttribute("id","bou"+i);
	bou.setAttribute("numero",i);
	bou.numero=i;
	var block = document.getElementById("conteneur");
	block.appendChild(bou);
	if(u>jourdate && !tout)
	{
		bou.style.filter = "brightness(30%)";
		bou.style.cursor="wait";
		bou.setAttribute("title","Pas encore...");
		bou.onclick="";
	}else{
		bou.style.cursor="pointer";
		bou.setAttribute("title","Clique pour afficher\nle problème numéro " + i + " !");
		bou.ontouchstart=function(){Affiche_probleme(this.numero);};
		bou.onclick=function(){Affiche_probleme(this.numero);};
	}
}
//étoile
Place_element("etoile","etoile",323,0);
i=12;
if(u>jourdate && !tout)
{
	document.getElementById("etoile").style.filter="brightness(40%)";
	document.getElementById("etoile").style.cursor="wait";
	document.getElementById("etoile").title="Pas encore...";
}else{
	document.getElementById("etoile").style.filter="brightness(100%)";
	document.getElementById("etoile").style.cursor="pointer";
	document.getElementById("etoile").title="Clique pour afficher\nle problème numéro " + i + " !";
	document.getElementById("etoile").ontouchstart=function(){Affiche_probleme(i);};
	document.getElementById("etoile").onclick=function(){Affiche_probleme(i);};
}




/*
function elementPosition (a) {
  var b = a.getBoundingClientRect();
  return {
    clientX: a.offsetLeft,
    clientY: a.offsetTop,
    viewportX: (b.x || b.left),
    viewportY: (b.y || b.top)
  }
}

function recup()
{
	var s="";
	for(i=1;i<25;i++)
	{
		var m=document.getElementById("conteneur");
		var z=document.getElementById("boule"+i);
		  var pm = elementPosition(m);
		  var p = elementPosition(z);
		s=s + 'Place_element("' + i + '","boule'+i+'",'+(p.viewportX - pm.viewportX)+","+(p.viewportY - pm.viewportY)+");\n";
	}
	alert(s);
}
*/



//Affiche_sapin_boules();

var P1_C1_N1="Sapin 3 boules.jpg|Combien y a-t-il de boules accrochées sur le sapin ?|3 boules";
var P1_C1_N2="Sapin 3 boules.jpg|Léa accroche une boule sur le sapin.<br>Combien y a-t-il de boules maintenant ?|4 boules";
var P1_C1_N3="Sapin 3 boules.jpg|Tom retire 2 boules du sapin.<br>Combien de boules reste-t-il ?|1 boule";

var P2_C1_N1="Chocolats.png|Combien y a-t-il de chocolats dans la boîte ?|4 chocolats";
var P2_C1_N2="Chocolats.png|Maman a sorti 1 chocolat de la boîte.<br>Combien de chocolats y avait-il avant ?|5 chocolats";
var P2_C1_N3="Chocolats.png|Si Maman prend 3 chocolats dans la boîte,<br>combien de chocolats va-t-il rester ?|1 chocolat";

var P3_C1_N1="Sapin guirlandes boules.jpg|Combien de boules y a-t-il ?<br>Combien de guirlandes y a-t-il ?|4 boules et 3 guirlandes";
var P3_C1_N2="Sapin guirlandes boules.jpg|Combien de décorations y a-t-il au total ?|7 décorations";
var P3_C1_N3="Sapin guirlandes boules.jpg|Combien manque-t-il de décorations pour en avoir 10 au total ?|Il manque 3 décorations";

var P4_C1_N1="4 cadeauxA.png|Combien de cadeaux y a-t-il ?|4 cadeaux";
var P4_C1_N2="4 cadeauxA.png|On partage les cadeaux pour deux personnes.<br>Combien chaque personne va-t-elle recevoir de cadeaux ?|2 cadeaux par personne";
var P4_C1_N3="4 cadeauxA.png|Combien de cadeaux manque-t-il pour en avoir 10 ?|Il manque 6 cadeaux.";

var P5_C1_N1="4 lutins.png|Combien de lutins y a-t-il ?|4";
var P5_C1_N2="4 lutins.png|Quel est le lutin le plus petit ?<br>Quel est le lutin le plus grand ?|Le plus petit est le bleu (C) et le plus grand est le rouge (B)";
var P5_C1_N3="4 lutins.png|Range les lutins du plus petit au plus grand.|bleu, mauve, vert, rouge (C,D,A,B)";

var P6_C1_N1="guirlande.jpg|Combien d'ampoules composent la guirlande ?|6 ampoules";
var P6_C1_N2="guirlande.jpg|Je retire 3 ampoules de la guirlande.<br>Combien d'ampoules reste-t-il ?|3 ampoules";
var P6_C1_N3="guirlande.jpg|Je coupe la guirlande en deux morceaux pareils.<br>Combien d'ampoules y a-t-il dans chaque morceau ?|3 ampoules";

var P7_C1_N1="3 rennes face.jpg|Combien de rennes y a-t-il ?|3 rennes";
var P7_C1_N2="3 rennes face.jpg|Les rennes sont face à un miroir.<br>Combien de rennes voit-on au total ?|6 rennes";
var P7_C1_N3="3 rennes face.jpg|Combien faut-il de carottes pour donner 2 carottes à chaque renne ?|6 carottes";

var P8_C1_N1="Piste jeu.jpg|Combien y a-t-il de cases sur ce jeu ?|7 cases";
var P8_C1_N2="Piste jeu.jpg|Sophia a fait 3 avec le dé et est arrivée sur la case sucre d'orge. À quelle case était-elle ?|Sur la case cadeau";
var P8_C1_N3="Piste jeu.jpg|Bruno est sur la case Sapin.<br>Il fait 5 avec le dé. Est-ce qu'il va dépasser Sophia ?<br>(Sophia est sur la case sucre d'orge)|Non";

var P9_C1_N1="Chaussettes.jpg|Combien de chaussettes jaunes y a-t-il ?<br>Combien de chaussettes rouges y a-t-il ?<br>Combien de chaussettes roses y a-t-il ?|2 jaunes, 2 rouges et 3 roses";
var P9_C1_N2="Chaussettes.jpg|Combien de chaussettes y a-t-il au total ?|7 chaussettes";
var P9_C1_N3="Chaussettes.jpg|Combien faut-il ajouter de chaussettes pour en avoir 10 au total ?|3 chaussettes";

var P10_C1_N1="Bûche.jpg|Combien de parts y a-t-il sur cette bûche ?|4 parts";
var P10_C1_N2="Bûche.jpg|Je prends 2 bûches comme celle-là. Combien ai-je de parts ?|8 parts";
var P10_C1_N3="Bûche.jpg|Je partage pour 2 enfants cette bûche de Noël. Combien chacun va-t-il recevoir de parts ?|2 parts chacun";

var P11_C1_N1="Traineau rennes.png|Combien de rennes vont tirer le traîneau ?|5 rennes";
var P11_C1_N2="Traineau rennes.png|Quel est le premier renne ?<br>Quel est le dernier ?<br>Quel est l'avant dernier ?|Le premier renne, c'est "+'<img src="./ressources/rondgris.png">'+".<br>Le dernier, c'est "+'<img src="./ressources/rectanglejaune.png">'+", et l'avant-dernier, c'est "+'<img src="./ressources/etoilebleue.png">'+".";
var P11_C1_N3="Traineau rennes.png|Tornade est le nom du renne qui est juste derrière le quatrième renne. Qui est Tornade ?|Tornade, c'est le cinquième renne : "+'<img src="./ressources/rectanglejaune.png">'+".";

var P12_C1_N1="4 lutins sans pieds.jpg|Combien y a-t-il de lutins ?|4 lutins";
var P12_C1_N2="4 lutins sans pieds.jpg|Combien faut-il de chaussures pour chausser tous ces lutins ?|8 chaussures";
var P12_C1_N3="4 lutins sans pieds.jpg|Si le Père Noël apporte 10 chaussures, est-ce que tous les lutins seront chaussés ?|Oui";


var P1_C2_N1="|Il y a 36 boules de Noël dans le sapin, le chat en fait tomber 21.<br>Combien en reste-t-il ?|36-21 = 15<br>Il reste 15 boules dans le sapin.";
var P1_C2_N2="|Il y a 76 boules de Noël dans le sapin, le chat en fait tomber 21. Combien en reste-t-il ?|76- 21 = 55<br>Il reste 55 boules dans le sapin.";
var P1_C2_N3="|Il y a 576 boules de Noël dans le grand sapin de la ville.<br>Le vent en fait tomber 221.<br>Combien en reste-t-il ?|576 – 221 = 355<br>Il reste 355 boules dans le sapin.";

var P2_C2_N1="|Pour le goûter de Noël de la classe, j’ai préparé 24 chocolats et 27 sucres d'orge. Combien ai-je de confiseries pour le goûter de la classe ? |24+27 = 51<br>J'ai préparé 51 confiseries.";
var P2_C2_N2="|Pour le goûter de Noël de la classe, j’ai préparé 64 chocolats et 27 sucres d'orge. Combien ai-je de confiseries pour le goûter de la classe ? |64 + 27= 91<br>J'ai préparé 91 confiseries.";
var P2_C2_N3="|Pour le goûter de Noël de l'école, j’ai préparé 344 chocolats et 227 sucres d'orge. Combien ai-je de confiseries pour le goûter de l'école ? |344 + 227 = 571<br>J'ai préparé 571 confiseries.";

var P3_C2_N1="|Devant chez le père Noël, il y a des pingouins et des rennes.<br>En regardant tous les animaux on compte 5 têtes et 16 pattes.<br>Combien y a-t-il de pingouins ?<br>Combien y a-t-il de rennes ?|Il y a 5 têtes, donc 5 animaux.<br>16 pattes<br>2 pingouins<br>2 + 2 = 4 pattes.<br>3 rennes<br>4 + 4 + 4 = 12 pattes.<br>12 + 4 = 16 pattes.";
var P3_C2_N2="|Devant chez le père Noël, il y a des pingouins et des rennes.<br>En regardant tous les animaux on compte 5 têtes et 16 pattes.<br>Combien y a-t-il de pingouins ?<br>Combien y a-t-il de rennes ?|Il y a 5 têtes, donc 5 animaux.<br>16 pattes<br>2 pingouins<br>2 + 2 = 4 pattes.<br>3 rennes<br>4 + 4 + 4 = 12 pattes.<br>12 + 4 = 16 pattes.";
var P3_C2_N3="|Devant chez le père Noël, il y a des pingouins et des rennes.<br>En regardant tous les animaux on compte 25 têtes et 86 pattes.<br>Combien y a-t-il de pingouins ?<br>Combien y a-t-il de rennes ? |Il y a 25 têtes, donc 25 animaux.<br>86 pattes<br>7 pingouins<br>7 x 2 = 14 pattes.<br>18 rennes<br>18 x 4 = 72 pattes.<br>14 + 72 = 86 pattes.";

var P4_C2_N1="|Sur le sapin, il y a 12 boules bleues et 23 boules rouges. Combien y a-t-il de boules en tout ? |12 + 23 = 35<br>Il y a 35 boules sur le sapin.";
var P4_C2_N2="|Sur le sapin, il y a 12 boules bleues, 31 boules jaunes et 23 boules rouges. Combien y a-t-il de boules en tout ?|12 + 31 + 23 = 66<br>Il y a 66 boules sur le sapin.";
var P4_C2_N3="|Sur le sapin, il y a 52 boules bleues, 81 boules jaunes et 63 boules rouges. Finalement, je retire 17 boules jaunes et 14 boules rouges. Combien y a-t-il de boules en tout ?|52 + 81 + 63 – 17 – 14 = 165<br>Il y a 165 boules sur le sapin.";

var P5_C2_N1="|Il y avait 36 chocolats dans la boîte avant le goûter. Nous en avons mangé 12. Combien y a-t-il de chocolats dans la boîte après le goûter? |36 – 12 = 24<br>Il reste 24 chocolats dans la boîte.";
var P5_C2_N2="|Il y avait 36 chocolats dans la boîte avant le goûter. Nous en avons mangé 12 à 16 heures. Combien de chocolats y a-t-il dans la boîte après le goûter? |36 – 12 = 24<br>Il reste 24 chocolats dans la boîte.";
var P5_C2_N3="|Il y avait 136 chocolats dans la boîte avant le goûter. Nous étions 14 invités et nous en avons mangé 39 à 16 heures. Combien de chocolats reste-t-il dans la boîte après le goûter? |136-39 = 97<br>Il reste 97 chocolats dans la boîte.";

var P6_C2_N1="|Lucie veut envoyer 23 cartes de Noël. Elle en a déjà écrites 17. Combien lui reste-t-il de cartes à écrire maintenant ? |23 – 17 = 6<br>Lucie doit encore écrire 6 cartes ?";
var P6_C2_N2="|Les élèves de la classe veulent fabriquer 86 cartes de Noël. Ils en ont déjà fabriquées 57. Combien leur reste-t-il de cartes à fabriquer maintenant ?|86 – 57 = 29<br>Il reste 29  cartes à fabriquer.";
var P6_C2_N3="|Les élèves de la classe veulent fabriquer 486 cartes de Noël. Ils en ont déjà fabriquées 357. Combien leur reste-t-il de cartes à fabriquer maintenant ?|486 – 357 = 129<br>Il reste 129 cartes à fabriquer.";

var P7_C2_N1="|Aujourd'hui, Papi a accroché 6 guirlandes lumineuses sur le toit. Maintenant il y a 43 guirlandes lumineuses sur la maison. Combien de guirlandes y avait-il sur la maison hier ? |43 – 6 = 37 <br>Hier, il y avait déjà 37 guirlandes sur la maison.";
var P7_C2_N2="|Aujourd'hui, Papi et Maman ont accroché 36 guirlandes lumineuses sur le toit. Maintenant il y a 94 guirlandes lumineuses sur la maison ! Combien de guirlandes y avait-il sur la maison hier ? |94-36 = 58<br>Il y avait 58 guirlandes.";
var P7_C2_N3="|Aujourd'hui, Papi et Maman ont accroché 236 ampoules colorées sur le toit. Maintenant il y a 724 ampoules colorées sur la maison ! Combien d'ampoules y avait-il sur la maison hier ? |724 – 236 = 488<br>Il y avait 488 ampoules hier.";

var P8_C2_N1="|Paul apporte 3 boîtes de chocolats. Il y a 7 chocolats dans chaque boîte. Combien y a-t-il de chocolats en tout en tout ? |7 + 7 + 7 = 21 <br>Il y a 21 chocolats en tout.";
var P8_C2_N2="|Paul apporte 3 boîtes de chocolats. Il y a 27 chocolats dans chaque boîte. Combien y a-t-il de chocolats en tout en tout ? |27 + 27 + 27 = 81<br>Il y a 81 chocolats en tout.";
var P8_C2_N3="|Le chocolatier prépare 4 cartons de12 boîtes de chocolats. Chaque boîte contient 10 chocolats. Combien y a-t-il de chocolats en tout en tout ? |12 + 12 + 12 + 12 = 48 boîtes<br>48 x 10 = 480<br>Il y a 480 chocolats.";

var P9_C2_N1="|Trois enfants se partagent 18 petits bonshommes de pain d'épice. Combien de bonshommes aura chaque enfant ? |6 + 6 + 6 = 18 <br>Chaque enfant aura 6 bonshommes de pain d'épice.";
var P9_C2_N2="|Six enfants se partagent 36 petits bonshommes de pain d'épice. Combien de bonshommes aura chaque enfant ? |6 x 6 =36<br>Chaque enfant aura 6 bonshommes de pain d'épice.";
var P9_C2_N3="|Six enfants se partagent 48 petits bonshommes de pain d'épice. Combien de bonshommes aura chaque enfant ? |6 x 8 = 48<br>Chaque enfant aura 8 bonshommes de pain d'épice.";

var P10_C2_N1="|Dans le sapin, il y a 10 boules dorées. Il y a 3 boules argentées de plus que de boules dorées. Combien de boules y a-t-il dans le sapin ?|10 + 10 + 3 = 23<br>Il y a 23 boules dans le sapin.";
var P10_C2_N2="|Dans le sapin, il y a 37 boules dorées. Il y a 6 boules argentées de plus que de boules dorées. Combien de boules y a-t-il dans le sapin ?|37 + 37 + 6 = 80<br>Il y a 80 boules dans le sapin.";
var P10_C2_N3="|Dans le sapin, il y a 137 boules dorées. Il y a 56 boules argentées de plus que de boules dorées. Combien de boules y a-t-il dans le sapin ?|137 + 137 + 56 = 330<br>Il y a 330 boules dans le sapin.";

var P11_C2_N1="|Dans le sapin du salon, il y a 44 décorations. Il y a 15 boules dorées, 11 guirlandes. Les autres sont des petites figurines en bois. Combien y a-t-il de figurines en bois ? |15 + 11 = 26 décorations sont des boules et des guirlandes.<br>26 + 18 = 44 <br>Il y a 18 figurines en bois dans le sapin.";
var P11_C2_N2="|Dans le sapin du salon, il y a 74 décorations. Il y a 35 boules dorées, 11 guirlandes. Les autres sont des petites figurines en bois. Combien y a-t-il de figurines en bois ? |35 + 11 = 46 <br>46 décorations sont des boules et des guirlandes.<br>74 – 46 = 28 <br>Il y a 28 figurines en bois dans le sapin.";
var P11_C2_N3="|Dans le sapin de la ville, il y a 774 décorations. Il y a 385 boules dorées, 111 guirlandes. Les autres sont des petites figurines en bois. Combien y a-t-il de figurines en bois ? |774 – 385 – 111 = 278<br>Il y a 278 figurines.";

var P12_C2_N1="|Dans l'atelier du Père Noël, il y a 23 lutins. Au son de la cloche, d'autres lutins arrivent. Il y en a maintenant 15 de plus. Lorsqu'ils ont terminé d'emballer les cadeaux, 5 lutins sortent. Combien y a-t-il alors de lutins dans l'atelier du Père Noël ?|23 + 15 – 5 = 33<br>Il reste 33 lutins.";
var P12_C2_N2="|Dans l'atelier du Père Noël, il y a 63 lutins. Au son de la cloche, d'autres lutins arrivent. Il y en a maintenant 25 de plus. Lorsqu'ils ont terminé d'emballer les cadeaux, 15 lutins sortent. Combien y a-t-il alors de lutins dans l'atelier du Père Noël ?|63 + 25 - 15 = 73<br>Il reste 73 lutins.";
var P12_C2_N3="|Dans l'atelier du Père Noël, il y a 263 lutins. Lorsque la cloche sonne, d'autres lutins arrivent. Il y en a maintenant le double. Lorsqu'ils ont terminé d'emballer les cadeaux, 150 lutins sortent. Combien y a-t-il alors de lutins dans l'atelier du Père Noël ?|263 + 263 – 150 = 376<br>Il y a maintenant 376 lutins dans l'atelier du Père Noël.";


var P1_C3_N1="|Lydie achète 5 boîtes de chocolats à 7 euros. Elle donne un billet de 50 euros à l'employé de caisse.<br>Combien celui-ci va-t-il lui rendre ?|5 x 7 = 35<br>5 boîtes coûtent 35 euros<br>50 – 35 = 15<br>Le caissier lui rend 15 euros";
var P1_C3_N2="|Lydie achète 5 boîtes de chocolats à 7,30 euros. Elle donne un billet de 50 euros à l'employé de caisse.<br>Combien celui-ci va-t-il lui rendre ?|5 x 7,30 = 36,50 <br>Lydie dépense 36,50 euros pour les 5 boîtes de chocolats.<br>50-36,50 =13,50<br>Le caissier lui rend 13,50 euros.";

var P2_C3_N1="|Hugo vient d’acheter un paquet<br>d’un kilogramme de chocolat en poudre.<br>Il utilise 300g du paquet pour faire une bûche<br>et 100g du paquet pour faire des biscuits.<br>Quelle masse de chocolat reste-t-il dans le paquet ? |300 + 100 = 400<br>Il a utilisé 400g de chocolat.<br>1kg = 1000g<br>1000 - 400 = 600<br>Il reste 600g de chocolat.";
var P2_C3_N2="|Hugo vient d’acheter un paquet d’un kilogramme de chocolat en poudre. Il utilise 1/4 du paquet pour faire une bûche et 1/10 du paquet pour faire des biscuits.<br>Quelle masse de chocolat reste-t-il dans le paquet ?|1kg=1000g<br>¼ de kg = 250g pour la bûche<br>1/10 de kg = 100 g<br>1000-250-100 = 650 g<br>Il a utilisé 350g de chocolat, il en reste 650g.";

var P3_C3_N1="|Le Père Noël apporte à Camille des vêtements pour habiller sa poupée. Dans la boîte, il y a : <br>    • 2 chapeaux (un rouge, un bleu) ; <br>    • 3 tee-shirts (un violet, un noir, un orange) ;<br>     • 2 pantalons (un gris, un vert). <br><br>Combien de tenues différentes complètes, avec un chapeau, une veste et un pantalon, Camille peut-il faire ? |<img src='./ressources/soluce_P6_C3_N1.png'>";
var P3_C3_N2="|Le Père Noël apporte à Camille des vêtements pour habiller sa poupée. Dans la boîte, il y a : <br>    • 2 chapeaux (un rouge, un bleu) ; <br>    • 3 tee-shirts (un violet, un noir, un orange) ;<br>     • 2 pantalons (un gris, un vert). <br><br>Combien de tenues différentes complètes, avec un chapeau, une veste et un pantalon, Camille peut-il faire ? |<img src='./ressources/soluce_P6_C3_N1.png'>";

var P4_C3_N1="|Un sapin de noël est décoré de boules rouges, vertes ou bleues, il y a 162 boules. Il y a trois fois plus de boules rouges que de boules vertes et il y a 7 boules vertes de moins que de boules bleues. Combien y a-t-il de boules rouges ?<br>(Aide : Amorce de schéma en groupe classe)|<img src='./ressources/soluce_P4_C3_N2.png'><br>162 – 7 = 155<br>155 / 5 = 31<br>Il y a 31 boules vertes.<br>31 x 3 = 93 boules rouges";
var P4_C3_N2="|Un sapin de noël est décoré de boules rouges, vertes ou bleues, il y a 162 boules. Il y a trois fois plus de boules rouges que de boules vertes et il y a 7 boules vertes de moins que de boules bleues. Combien y a-t-il de boules rouges ?|<img src='./ressources/soluce_P4_C3_N2.png'><br>162 – 7 = 155<br>155 / 5 = 31<br>Il y a 31 boules vertes.<br>31 x 3 = 93 boules rouges";

var P5_C3_N1="|Devant chez le Père Noël, il y a des rennes et des pingouins. Pour faire chercher le nombre de pingouins et de rennes à son frère, Cindy lui dit qu’il y a 114 pattes et 40 têtes. Combien y a-t-il de rennes et combien y a-t-il de pingouins devant la maison du Père Noël ?|Un rectangle bleu représente le nombre de pingouins et un rectangle orange le nombre de rennes.<br><img src='./ressources/soluce_P5_C3_N1.png'><br>114 – 80 = 34<br>34 ÷ 2 = 17 &rarr; Il y a 17 rennes.<br>40 – 17 = 23 &rarr; Il y a 23 pingouins.";
var P5_C3_N2="|Devant chez le Père Noël, il y a des rennes et des pingouins. Pour faire chercher le nombre de pingouins et de rennes à son frère, Cindy lui dit qu’il y a 114 pattes et 40 têtes. Combien y a-t-il de rennes et combien y a-t-il de pingouins devant la maison du Père Noël ?|Un rectangle bleu représente le nombre de pingouins et un rectangle orange le nombre de rennes.<br><img src='./ressources/soluce_P5_C3_N1.png'><br>114 – 80 = 34<br>34 ÷ 2 = 17 &rarr; Il y a 17 rennes.<br>40 – 17 = 23 &rarr; Il y a 23 pingouins.";

var P6_C3_N1="|Les lutins ont préparé une palette<br>de boîtes de voitures miniatures.<br>La palette est constituée de douze étages de cartons<br>et il y a 5 cartons sur chaque étage.<br>Dans chaque carton, il y a 12 boîtes de 40 voitures miniatures.<br>Combien de voitures miniatures y a-t-il sur la palette ? |12 x 5 = 60 &rarr; Il y a 60 cartons<br>60 x 12 = 720 &rarr; Il y a 720 boîtes<br>720 x 40 = 28 800 &rarr; Il y a 28 800 voitures miniatures sur la palette.";
var P6_C3_N2="|Les lutins ont préparé une palette<br>de boîtes de voitures miniatures.<br>La palette est constituée de douze étages de cartons<br>et il y a 5 cartons sur chaque étage.<br>Dans chaque carton, il y a 12 boîtes de 40 voitures miniatures.<br>Les lutins doivent livrer 30 000 voitures.<br>Ont-ils terminé leur travail ?|Je compte le nombre de voitures qu'il y a sur la palette qu'ils ont préparée :<br>12 x 5 = 60 &rarr; Il y a 60 cartons<br>60 x 12 = 720 &rarr; Il y a 720 boîtes<br>720 x 40 = 28 800 &rarr; Il y a 28 800 voitures miniatures.<br>Il en manque encore pour arriver aux 30 000 qu'ils doivent livrer.<br>Ils n'ont donc pas terminé leur travail !";

var P7_C3_N1="|Inaya souhaite fabriquer cinq invitations pour son repas de réveillon en découpant une bande de papier cartonné d’une longueur de 32 cm.<br>Quelle est la plus grande longueur qu’elle peut choisir pour que toutes les invitations aient la même longueur ?|32 cm ÷ 5 = 6,4 cm<br>Inaya peut découper des cartons de 6,4 cm de longueur.";
var P7_C3_N2="|Inaya souhaite fabriquer des invitations pour son repas de réveillon en découpant deux bandes de papier cartonné d’une longueur de 32 cm chacune.<br>Combien d'invitations de 7 cm de long peut-elle fabriquer?|Dans une bande, Inaya peut fabriquer 4 invitations car 4 x 7 = 28 (il reste 4 cm de bande inutilisée)<br>Dans deux bandes, elle peut donc fabriquer 8 invitations<br>(2 x 4 = 8)";

var P8_C3_N1="|Le lutin électricien dispose d’un rouleau de fil électrique de 50 m. Il découpe trois morceaux de fil de ce rouleau de 12m70  chacun pour fabriquer des guirlandes.<br>Quelle longueur de fil électrique reste-t-il dans le rouleau ?|12,70 +12,70 +12,70 = 38,10 m de fil découpé en 3 morceaux.<br>Il reste 50 – 38,10 = 11,90 m<br>La longueur du fil restant dans le rouleau<br>est 11,90 m.";
var P8_C3_N2="|Le lutin électricien dispose d’un rouleau de fil électrique de 50 m. Il y découpe le plus possible de morceaux de fil de 12m70 chacun pour fabriquer des guirlandes.<br>Quelle longueur de fil électrique reste-t-il dans le rouleau ?|12,70 +12,70 +12,70 = 38,10 m de fil découpé en 3 morceaux.<br>Il reste 50 – 38,10 = 11,90 m<br>La longueur du fil restant dans le rouleau<br>est 11,90 m.";

var P9_C3_N1="|Un renne parcourt 2000 km en 20 minutes.<br>Combien de temps ce renne mettra-t-il pour parcourir 6000 km en continuant à voler à la même vitesse ?|6000 km, c'est 3 fois plus que 2000 km<br>20 min x 3 = 60 min.<br>Le renne parcourra 6000 km en 1h.";
var P9_C3_N2="|Un renne parcourt 2000 km en 20 minutes.<br>Combien de temps ce renne mettra-t-il pour parcourir 7000 km en continuant à voler à la même vitesse ?|Un renne parcourt 2000 km en 20 min, donc 1000 km en 10 min (la moitié).<br>Il parcourra 7000 km en 70 min, soit 1h10.";

var P10_C3_N1="|Dans une recette pour 4 personnes, il faut 75 g de beurre. Pour le repas de Noël de la cantine,un restaurateur doit préparer ce plat pour 80 personnes.<br>Quelle masse de beurre sera nécessaire pour préparer ce plat pour le repas de Noël de la cantine ?|4 x 20 = 80<br>80, c'est 20 fois plus que 4.<br>Il faut donc 20 fois plus de beurre.<br>75 x 20 = 1 500 <br>Il faudra 1500 g de beurre pour 80 personnes, soit 1kg500.";
var P10_C3_N2="|Dans une recette pour 4 personnes, il faut 75 g de beurre. Pour le repas de Noël de la cantine, un restaurateur doit préparer ce plat pour 92 personnes.<br>Quelle masse de beurre sera nécessaire pour préparer ce plat pour le repas de Noël de la cantine ?|92 / 4 = 23. <br>92, c'est 23 fois plus grand que 4.<br>Il faut donc 23 fois plus de beurre : <br>75g x 23 = 1725 g de beurre, soit 1kg725 pour 92 personnes.";

var P11_C3_N1="|Les lutins  jouent à la bataille avec un jeu de 56 cartes qu’ils ont fabriqué.<br>Lulu a sept fois plus de cartes que Didi.<br>Combien Didi a-t-il de cartes ?|56 cartes ÷ 8 = 7 cartes<br>Didi a 7 cartes.";
var P11_C3_N2="|Les lutins  jouent à la bataille avec un jeu de 56 cartes qu’ils ont fabriqué.<br>Lulu a sept fois plus de cartes que Didi.<br>Combien Didi a-t-il de cartes ?|56 cartes ÷ 8 = 7 cartes<br>Didi a 7 cartes.";

var P12_C3_N1="|Un restaurant propose un menu de Noël à 28 € ; il y a 4 choix possibles pour l’entrée, 3 choix possibles pour le plat principal et 2 choix possibles pour le dessert.<br>Combien de menus différents (entrée-plat-dessert) peut-on constituer ?|4 x 3 x 2 = 24 menus différents.<br>Conseil : Réaliser un arbre à choix<br><img src='./ressources/soluce_P12_C3_N1.png'>";
var P12_C3_N2="|Un restaurant propose un menu de Noël à 28 € ; il y a 4 choix possibles pour l’entrée, 3 choix possibles pour le plat principal et 2 choix possibles pour le dessert.<br>Combien de menus différents (entrée-plat-dessert) peut-on constituer ?|4 x 3 x 2 = 24 menus différents.<br>Conseil : Réaliser un arbre à choix<br><img src='./ressources/soluce_P12_C3_N1.png'>";

if(jourdate<jourdebut && !tout)
{
	document.getElementById("avant").style.display="block";
	document.getElementById("consigne1").style.display="none";
}

